Bug 441986 - Allow Resizing of KCalc
Summary: Allow Resizing of KCalc
Status: RESOLVED FIXED
Alias: None
Product: kcalc
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Evan Teran
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-04 09:55 UTC by Niklas Freund
Modified: 2021-12-07 18:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 22.04


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Niklas Freund 2021-09-04 09:55:39 UTC
SUMMARY
KCalc currently uses a fixed window size.
I would like KCalc to be resizable, which seems especially important on touch systems (like 2-in-1 laptops) where the current buttons are often too small to reliably hit.


STEPS TO REPRODUCE
1. Open KCalc
2. Try resizing it

OBSERVED RESULT
KCalc cannot be resized as the window has been set to a fixed size.

EXPECTED RESULT
KCalc is resizable like any other window. The buttons and other content should scale.
Comment 1 Niklas Freund 2021-09-04 18:12:55 UTC
I'm trying to implement scaling myself now.
I've created a draft merge request over on GitLab.
https://invent.kde.org/utilities/kcalc/-/merge_requests/24
Comment 2 Niklas Freund 2021-12-07 17:25:57 UTC
Git commit 2fbdc5e0361ef0159291b8a5167f800abc046bdf by Niklas Freund.
Committed on 16/11/2021 at 10:24.
Pushed by cullmann into branch 'master'.

Implemented button text scaling on resize

M  +63   -3    kcalc.cpp

https://invent.kde.org/utilities/kcalc/commit/2fbdc5e0361ef0159291b8a5167f800abc046bdf